.image-text {
    overflow: hidden;
}

.image-text__info {
    width: 55rem;
    max-width: 100%;
    padding: 4rem 0;
}

.image-text__title {
    margin-bottom: 1rem;
}

.image-text__btns {
    justify-content: flex-start;
}

.image-text__images {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    height: 43rem;
    min-height: 100%;
}

.image-text__image {
    display: none;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.image-text__image:first-child {
    display: block;
    grid-column: span 2;
    grid-row: span 2;
}

[data-current-variation="2"] .image-text__images {
    grid-template-rows: repeat(2, 1fr);
}

[data-current-variation="2"] .image-text__image:first-child {
    grid-column: span 2;
    grid-row: span 1;
}

[data-current-variation="2"] .image-text__image:nth-child(2) {
    display: block;
    grid-column: span 2;
    grid-row: span 1;
}

[data-current-variation="3"] .image-text__image:nth-child(2),
[data-current-variation="3"] .image-text__image:nth-child(3) {
    display: block;
    grid-column: span 1;
    grid-row: span 1;
}

[data-current-variation="3"] .image-text__images {
    grid-template-rows: repeat(2, 1fr);
}

[data-current-variation="3"] .image-text__image:first-child {
    grid-column: span 2;
    grid-row: span 1;
}

[data-current-variation="3"] .image-text__image:nth-child(2),
[data-current-variation="3"] .image-text__image:nth-child(3) {
    display: block;
    grid-column: span 1;
    grid-row: span 1;
}

[data-current-variation="4"] .image-text__images {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
}

[data-current-variation="4"] .image-text__image:first-child {
    grid-column: span 1;
    grid-row: span 1;
}

[data-current-variation="4"] .image-text__image:nth-child(2) {
    display: block;
    grid-column: span 1;
    grid-row: span 1;
}

[data-current-variation="5"] .image-text__images {
    grid-template-rows: repeat(2, 1fr);
}

[data-current-variation="5"] .image-text__image:first-child {
    grid-column: span 1;
    grid-row: span 2;
}

[data-current-variation="5"] .image-text__image:nth-child(n){
    display: block;
}

@media screen and (max-width: 767.9px) {
    .image-text__info {
        gap: 2rem;
        width: 100%;
        padding: 0;
    }



    .image-text__images {
        aspect-ratio: 335/300;
        width: 100%;
        height: auto;
        min-height: unset;
        margin-bottom: 1rem;
    }

    .image-text__image:nth-child(2),
    .image-text__image:nth-child(3) {
        display: none;
    }

}